com.ihr.xbrl.om.formula.util

## Class ClsCombinationUsed

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.Vector<com.ihr.xbrl.om.formula.util.ClsVarAndDefaultMark>
      - - com.ihr.xbrl.om.formula.util.ClsCombinationUsed

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<com.ihr.xbrl.om.formula.util.ClsVarAndDefaultMark>, java.util.Collection<com.ihr.xbrl.om.formula.util.ClsVarAndDefaultMark>, java.util.List<com.ihr.xbrl.om.formula.util.ClsVarAndDefaultMark>, java.util.RandomAccess

      public class ClsCombinationUsed
      extends java.util.Vector<com.ihr.xbrl.om.formula.util.ClsVarAndDefaultMark>

  The Class ClsCombinationUsed.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ClsCombinationUsed.ComparisonResult` The Enum ComparisonResult.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClsCombinationUsed()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClsCombinationUsed.ComparisonResult` | `compareTo(ClsCombinationUsed other)` Compare to.
    `boolean` | `equals(java.lang.Object o)`
    `int[]` | `getEvaluatedLen()` Gets the evaluated len.
    `net.sf.saxon.s9api.XdmValue[]` | `getValues()` Gets the values.
    `boolean[]` | `getVariableEvaluated()` Gets the variable evaluated.
    `javax.xml.namespace.QName[]` | `getVariableNames()` Gets the variable names.
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.util.Vector

      `add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, firstElement, get, indexOf, indexOf, insertElementAt, isEmpty, iterator, lastElement, lastIndexOf, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, retainAll, set, setElementAt, setSize, size, subList, toArray, toArray, trimToSize`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClsCombinationUsed

          public ClsCombinationUsed()

  - ### Method Detail

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `java.util.Collection<com.ihr.xbrl.om.formula.util.ClsVarAndDefaultMark>`
      Specified by:
        `hashCode` in interface `java.util.List<com.ihr.xbrl.om.formula.util.ClsVarAndDefaultMark>`
      Overrides:
        `hashCode` in class `java.util.Vector<com.ihr.xbrl.om.formula.util.ClsVarAndDefaultMark>`

    - #### equals

          public boolean equals(java.lang.Object o)

      Specified by:
        `equals` in interface `java.util.Collection<com.ihr.xbrl.om.formula.util.ClsVarAndDefaultMark>`
      Specified by:
        `equals` in interface `java.util.List<com.ihr.xbrl.om.formula.util.ClsVarAndDefaultMark>`
      Overrides:
        `equals` in class `java.util.Vector<com.ihr.xbrl.om.formula.util.ClsVarAndDefaultMark>`

    - #### compareTo

          public ClsCombinationUsed.ComparisonResult compareTo(ClsCombinationUsed other)

      Compare to.
      Parameters:
        `other` - the other
      Returns:
        the cls combination used. comparison result

    - #### getVariableNames

          public javax.xml.namespace.QName[] getVariableNames()

      Gets the variable names.
      Returns:
        the variable names

    - #### getValues

          public net.sf.saxon.s9api.XdmValue[] getValues()

      Gets the values.
      Returns:
        the values

    - #### getVariableEvaluated

          public boolean[] getVariableEvaluated()

      Gets the variable evaluated.
      Returns:
        the variable evaluated

    - #### getEvaluatedLen

          public int[] getEvaluatedLen()

      Gets the evaluated len.
      Returns:
        the evaluated len

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.util.Vector<com.ihr.xbrl.om.formula.util.ClsVarAndDefaultMark>`